Devel::Cover::DB::IO::Sereal(3)

NAME
Devel::Cover::DB::IO::Sereal - Sereal based IO routines for Devel::Cover::DB

VERSION
version 1.36

SYNOPSIS
 use Devel::Cover::DB::IO::Sereal;

 my $io = Devel::Cover::DB::IO::Sereal->new;
 my $data = $io->read($file);
 $io->write($data, $file);

DESCRIPTION
This module provides Sereal based IO routines for Devel::Cover::DB.

SEE ALSO
 Devel::Cover

METHODS

  new
 my $io = Devel::Cover::DB::IO::Sereal->new;

Constructs the IO object.

  read
 my $data = $io->read($file);

Returns a perl data structure representing the data read from $file.

  write
 $io->write($data, $file);

Writes $data to $file in the format specified when creating $io.

BUGS
Huh?

LICENCE
Copyright 2011-2019, Paul Johnson (paul@pjcj.net)

This software is free. It is licensed under the same terms as Perl itself.

The latest version of this software should be available from my homepage: http://www.pjcj.net